Bug 832760 - Eclipse crashes when using xulrunner
Eclipse crashes when using xulrunner
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 04:33 EDT by Peter Mihaly Avramucz
Modified: 2012-06-21 06:31 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 06:31:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Java crash log (97.51 KB, text/x-log)
2012-06-17 04:33 EDT, Peter Mihaly Avramucz
no flags Details
backtrace (117.53 KB, application/octet-stream)
2012-06-17 04:34 EDT, Peter Mihaly Avramucz
no flags Details

  None (edit)
Description Peter Mihaly Avramucz 2012-06-17 04:33:05 EDT
Created attachment 592391 [details]
Java crash log

I'm using a downloaded (from eclipse.org) Eclipse Helios 3.6 and I was trying to open the Eclipse Marketplace by pressing "Help" -> "Eclipse Marketplace..." . This setup is working on multiple machines with Fedora 16 (i686/x86_64) so I think that the Eclipse version should not be the problem.
From the attached hs_err_pid10569.log file I suspect there is some problem with xulrunner.
Please note that it is the same when I'm using an Oracle Java 1.6.
Comment 1 Peter Mihaly Avramucz 2012-06-17 04:34:08 EDT
Created attachment 592392 [details]
backtrace
Comment 2 Martin Stransky 2012-06-21 05:50:13 EDT
Moving to eclipse, please reassing to right componnent, Java maybe?
Comment 3 Alexander Kurtakov 2012-06-21 06:31:52 EDT
Eclipse 3.6 from eclipse.org is working only with XULRunner 1.8.x - 3.6.x and none of them is shipping on Fedora 17 as they are really old and have a number of other problems. There is really nothing we (Fedora) can do about it.

I strongly recommend using the Eclipse from Fedora repositories as we have disabled the xulrunner because of its everchanging api/abi and switched to webkit by default. See http://www.eclipse.org/swt/faq.php#browserlinux if you want to play manually with things.
Closing as wontfix - if there is a problem with Eclipse from fedora repositories please reopen.

Note You need to log in before you can comment on or make changes to this bug.